<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'harmony',

    /*
     * Package.
     */
    'package'   => 'clientdetail',

    /*
     * Modules.
     */
    'modules'   => ['client_detail'],

    
    'client_detail'       => [
        'model' => [
            'model'                 => \Harmony\Clientdetail\Models\ClientDetail::class,
            'table'                 => 'client_details',
            'presenter'             => \Harmony\Clientdetail\Repositories\Presenter\ClientDetailPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['f_name',  'm_name',  'l_name'],
            'translatables'         => [],
            'upload_folder'         => 'clientdetail/client_detail',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Harmony',
            'package'   => 'Clientdetail',
            'module'    => 'ClientDetail',
        ],

    ],
];
