Lavalite package that provides clientdetail management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `harmony/clientdetail`.

    "harmony/clientdetail": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Harmony\Clientdetail\Providers\ClientdetailServiceProvider::class,

And also add it to alias

    'Clientdetail'  => Harmony\Clientdetail\Facades\Clientdetail::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Harmony\\ClientdetailTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Harmony\Clientdetail\Providers\ClientdetailServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Harmony\Clientdetail\Providers\ClientdetailServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Harmony\Clientdetail\Providers\ClientdetailServiceProvider" --tag="view"


## Usage


