<?php

namespace Harmony\Clientdetail\Repositories\Eloquent;

use Harmony\Clientdetail\Interfaces\ClientDetailRepositoryInterface;
use Litepie\Repository\Eloquent\BaseRepository;

class ClientDetailRepository extends BaseRepository implements ClientDetailRepositoryInterface
{


    public function boot()
    {
        $this->fieldSearchable = config('harmony.clientdetail.client_detail.model.search');

    }

    /**
     * Specify Model class name.
     *
     * @return string
     */
    public function model()
    {
        return config('harmony.clientdetail.client_detail.model.model');
    }
}
